#include <iostream>
#include <bits/stdc++.h>

int  main()
{
    long x1,x2,y1,y2;
    scanf("%li %li %li %li",&x1,&y1,&x2,&y2);
    if(x1==x2 ||y1==y2)
        printf("2");
    else if((x1<x2 && abs(x1-y1)==abs(x2-y2))||((x1>x2) && abs(x1+y1)==abs(x2-y2)))
        printf("1");
    else
        printf("0");
    return 0;
}